[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TKeyValuePair

Stores Key and Value information used for items in TValueListEditor.

## Declaration

Source position: valedit.pas line 102

`type TKeyValuePair = record`
`Key: string;` |  | Key data a row.
`Value: string;` |  | Value data for a row.
`end;`

## Description

TKeyValuePair is a record type used to store Key and Value information for the rows in TValueListEditor. TKeyValuePair is used when an editor is activated for a row in TValueListEditor.

## See also

TValueListEditor |  | A visual grid control for editing Key-Value pairs.